/* bug 3 */

/* bug: Doxygen reports that not_called is called by bar */
static int not_called(void)
{
  return 0;
}

#ifdef FOO
/* These six comment lines (all at the start of the line,       */
/* and within #ifdef) cause the following line numbers to be    */
/* offset by -6, which in its turn causes the "References" and  */
/* the "Referenced by" relations to be screwed up; presumably   */
/* because Doxygen associates the names of the following        */
/* functions with the wrong function bodies.                    */

static void dummy(void)
{
  return not_called();
}
#endif


static int bar(int argc, char *argv[])
{
  return 0;
}


static int foo(int argc, char *argv[])
{
  return bar(argc, argv);
}


int main(int argc, char *argv[])
{
  /* bug: Doxygen reports that main calls bar, instead of foo */
  return foo(argc, argv);
}
